## crazycat 1.0-1

=== debian/changelog ===
crazycat (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Tue, 15 Dec 2009 15:01:53 +0530
