=== debian/control ===
Source: crazycat
Section: user/other 
Priority: optional
Maintainer: mohammed ilyas <mohammed.ilyas@mars-india.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: crazycat
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1),, hildon-application-manager
Description: Crazycat Game Application
 The aim of the game is to circle the cat in such a way that 
 it gets captured and cannot run out of canvas.
