=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: crazycat
-Section: user/other 
+Section: user/games 
 Priority: optional
 Maintainer: mohammed ilyas <mohammed.ilyas@mars-india.com>
 Build-Depends: debhelper (>= 5), libqt4-dev
