## crazycat 2.0-2

=== debian/changelog ===
crazycat (2.0-2) unstable; urgency=low

  * This relese fixes the grammatical errors. 

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 18 Jan 2010 17:46:53 +0530
