=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Package: crazycat
 Architecture: any
 Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1),, hildon-application-manager
-Description: Crazycat Game Application
+Description: Crazycat Game 
  The aim of the game is to circle the cat in such a way that 
  it gets captured and cannot run out of canvas.
