## crazycat 2.0-3

=== debian/changelog ===
crazycat (2.0-3) unstable; urgency=low

  * This release fixes the typing errors.
  * Added Bug-tracker mailto link.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 25 Jan 2010 14:50:53 +0530
