## crazycat 2.0-4

=== debian/changelog ===
crazycat (2.0-4) unstable; urgency=low

  * This release fixes the application icon size.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 27 Jan 2010 12:02:14 +0530
