=== debian/control ===
--- 
+++ 
@@ -11,3 +11,5 @@
 Description: Crazycat Game 
  The aim of the game is to circle the cat in such a way that 
  it gets captured and cannot run out of canvas.
+XSBC-Bugtracker:
+ mailto: mobile-VAS@mars-india.com, mohammed.ilyas@mars-india.com
