## crazycat 2.0-5

=== debian/changelog ===
crazycat (2.0-5) unstable; urgency=low

  * Added Bug-tracker mailto link.
  * Copyright information is changed.
  * Changed the dialog title Cat Application to Crazycat.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Tue, 16 Feb 2010 11:05:25 +0530
